Threads
Create a thread
Creates a new conversation thread for stateful dialogues between an end user and an assistant.
POST
/v1/threadsAuthorization
APIKeyHeader api-key<token>
In: header
Request Body
application/json
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X POST "https://example.com/v1/threads" \ -H "Content-Type: application/json" \ -d '{ "assistant_id": "a1b2c3d4-5678-9abc-def0-1234567890ab", "title": "Fragen zur Elternzeit", "user_id": "f8e7d6c5-4321-fedc-ba98-765432109876" }'{ "assistant_id": "a1b2c3d4-5678-9abc-def0-1234567890ab", "created_at": "2025-03-15T09:12:33.456789Z", "id": "1a2b3c4d-5678-9abc-def0-112233445566", "last_updated_at": "2025-03-15T09:45:12.123456Z", "tenant_id": "abcd1234-ef56-7890-abcd-ef1234567890", "title": "Kündigung während der Probezeit", "user_id": "f8e7d6c5-4321-fedc-ba98-765432109876"}{ "error_code": "thread_is_deactivated", "detail": "Thread is deactivated"}{ "error_code": "unauthorized", "detail": "Missing or invalid API key"}{ "error_code": "assistant_not_found", "detail": "Assistant not found"}{ "error_code": "validation_error", "detail": [ { "loc": [ "body", "assistant_id" ], "message": "Field required", "type": "missing" } ]}{ "message": "Rate limit exceeded!"}{ "error_code": "internal_server_error", "detail": "Internal Server Error"}